Skip to contents

# Add admin boundaries (lines) and the legend

Source: `R/map.R`
`add_admin_boundaries.Rd`

Add admin boundaries (lines) and the legend

## Usage

    add_admin_boundaries(
      lines,
      colors,
      labels,
      lwds,
      title = "",
      buffer = NULL,
      ...
    )

## Arguments

lines

  List of multiline shape defined by sf package.

colors

  Vector of hexadecimal codes. Same order as lines.

labels

  Vector of labels in the legend. Same order as lines.

lwds

  Vector of line widths. Same order as lines.

title

  Legend title.

buffer

  A buffer, either one value or a vector of 4 values (left, bottom, right, top).

...

  Other arguments to pass to each shape in `tmap::tm_lines()`.

## Value

A tmap layer.